[Japanese]

JVNDB-2009-000008

Fulltext search CGI vulnerability allows third party to gain administrative privileges

Overview

Fulltext search CGI from futomi's CGI Cafe contains a vulnerability that allows an attacker to gain administrative privileges.

Fulltext search CGI is a website search software from futomi's CGI Cafe. Fulltext search CGI contains a vulnerability that allows an attacker to gain administrative privileges.
CVSS Severity (What is CVSS?)

Base Metrics: 7.5 (High) [IPA Score]
  • Access Vector: Network
  • Access Complexity: Low
  • Authentication: None
  • Confidentiality Impact: Partial
  • Integrity Impact: Partial
  • Availability Impact: Partial

Affected Products


futomi Co.,Ltd.
  • full-text search CGI Ver. 1.1.2

Impact

A remote attacker could impersonate an administrator of fulltext search CGI.
Solution

[Update the Software]
Update to the latest version according to the information provided by the vendor.

[Workarounds]
As a workaround to this vulnerability, change the settings in the server where the software is installed and disable access to the administrator menu until the software is updated.
Vendor Information

futomi Co.,Ltd.
CWE (What is CWE?)

  1. Credentials Management(CWE-255) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2009-0469
References

  1. JVN : JVN#80771386
  2. National Vulnerability Database (NVD) : CVE-2009-0469
  3. JVN iPedia (Japanese) : JVNDB-2009-000008
Revision History

[2009/01/28]
  Web page published